<?xml version="1.0" encoding="UTF-8"?>
<ui>
  <menubar>
    <menu name="FileMenu" action="StockFileMenu">
      <menuitem name="NewWindow" action="NewWindow" />
      <menuitem name="NewTab" action="NewTab" />
      <separator name="file-sep1" />
      <menuitem name="Open" action="Open" />
      <menuitem name="OpenSelectedLinks" action="OpenSelectedLinks" />
      <separator name="file-sep2" />
      <menuitem name="Print" action="Print" />
      <separator name="file-sep3" />
      <menuitem name="CloseTab" action="CloseTab" />
      <menuitem name="CloseWindow" action="CloseWindow" />
    </menu>

    <menu name="EditMenu" action="StockEditMenu">
      <menuitem name="Cut" action="Cut" />
      <menuitem name="Copy" action="Copy" />
      <menuitem name="Paste" action="Paste" />
      <separator name="edit-sep1" />
      <menuitem name="CopyTitle" action="CopyTitle" />
      <menuitem name="CopyURL" action="CopyURL" />
      <separator name="edit-sep2" />
      <menuitem name="SelectAll" action="SelectAll" />
      <separator name="edit-sep3" />
      <menuitem name="Preference" action="Preference" />
    </menu>

    <menu name="ViewMenu" action="StockViewMenu">
      <menuitem name="StopReload" action="StopReload" />
      <menuitem name="StopAll" action="StopAll" />
      <menuitem name="ReloadAll" action="ReloadAll" />
      <separator name="view-sep1" />
      <menuitem name="ViewPageSource" action="ViewPageSource" />
      <menuitem name="ShowHideSidebar" action="ShowHideSidebar" />
      <placeholder name="EncodingPlaceholder" />
      <separator name="view-sep2" />
      <menu name="UILevelMenu" action="StockUILevelMenu">
        <menuitem name="UILevelBeginner" action="UILevelBeginner" />
        <menuitem name="UILevelMedium" action="UILevelMedium" />
        <menuitem name="UILevelExpert" action="UILevelExpert" />
      </menu>
    </menu>

    <menu name="GoMenu" action="StockGoMenu">
      <menuitem name="Back" action="Back" />
      <menuitem name="Forward" action="Forward" />
      <menuitem name="GoUp" action="GoUp" />
      <menuitem name="PrevTab" action="PrevTab" />
      <menuitem name="NextTab" action="NextTab" />
    </menu>

    <menu name="BookmarksMenu" action="StockBookmarksMenu">
      <menuitem name="AddBookmark" action="AddBookmark" />
      <menuitem name="EditBookmarks" action="EditBookmarks" />
      <menuitem name="EditBookmarkBars" action="EditBookmarkBars" />
      <separator name="bookmarks-sep1" />
    </menu>

    <menu name="TabMenu" action="StockTabMenu">
      <menuitem name="CloseAllInactiveTabs" action="CloseAllInactiveTabs" />
      <menuitem name="CloseAllBackwardTab" action="CloseAllBackwardTab" />
      <menuitem name="CloseAllForwardTab" action="CloseAllForwardTab" />
      <menuitem name="CloseAllTabs" action="CloseAllTabs" />
      <separator name="tab-sep1" />
      <menu name="TabPosMenu" action="StockTabPosMenu">
        <menuitem name="TabPosTop" action="TabPosTop" />
        <menuitem name="TabPosBottom" action="TabPosBottom" />
        <menuitem name="TabPosLeft" action="TabPosLeft" />
        <menuitem name="TabPosRight" action="TabPosRight" />
      </menu>
    </menu>

    <menu name="ToolsMenu" action="StockToolsMenu">
      <menuitem name="ExtractLinks" action="ExtractLinks" />
    </menu>

    <menu name="HelpMenu" action="StockHelpMenu">
      <menuitem name="OpenKazehakaseWebsite" action="OpenKazehakaseWebsite" />
      <separator name="help-sep1" />
      <menuitem name="About" action="About" />
    </menu>
  </menubar>


  <toolbar name="MainToolBar">
    <toolitem name="NavigationBack" action="NavigationBack" />
    <toolitem name="ForwardButton" action="Forward" />
    <toolitem name="StopReloadButton" action="StopReload"/>
    <toolitem name="GoUpButton" action="GoUp" />
    <toolitem name="PrintButton" action="Print" />
    <toolitem name="LocationEntry" action="LocationEntry" />
    <toolitem name="GotoLocation" action="GotoLocation" />
    <placeholder name="SmartBookmark" />
  </toolbar>


  <!-- popups -->
    <popup name="DocumentPopup">
      <menuitem name="StopReload" action="StopReload"/>
      <menuitem name="Back" action="Back"/>
      <menuitem name="Forward" action="Forward"/>
      <separator name="document-pop-sep1"/>
      <menuitem name="Copy" action="Copy"/>
    </popup>

    <popup name="LinkPopup">
      <menuitem name="OpenLinkInNewTab" action="OpenLinkInNewTab"/>
      <menuitem name="OpenLinkInNewWindow" action="OpenLinkInNewWindow"/>
      <separator name="link-pop-sep1"/>
      <menuitem name="Copy" action="Copy"/>
      <menuitem name="CopyLinkLocation" action="CopyLinkLocation"/>
    </popup>

    <popup name="ImagePopup">
      <menuitem name="CopyImageLocation" action="CopyImageLocation"/>
      <separator name="image-pop-sep1"/>
      <menuitem name="OpenImageInNewTab" action="OpenImageInNewTab"/>
      <menuitem name="OpenImageInNewWindow" action="OpenImageInNewWindow"/>
    </popup>

    <popup name="LinkImagePopup">
      <menuitem name="CopyLinkLocation" action="CopyLinkLocation"/>
      <menuitem name="OpenLinkInNewTab" action="OpenLinkInNewTab"/>
      <menuitem name="OpenLinkInNewWindow" action="OpenLinkInNewWindow"/>
      <menuitem name="SaveLink" action="SaveLink"/>
      <separator name="link-image-pop-sep1"/>
      <menuitem name="CopyImageLocation" action="CopyImageLocation"/>
      <menuitem name="OpenImageInNewTab" action="OpenImageInNewTab"/>
      <menuitem name="OpenImageInNewWindow" action="OpenImageInNewWindow"/>
      <menuitem name="SaveImage" action="SaveImage"/>
    </popup>

    <popup name="InputPopup">
      <menuitem name="Cut" action="Cut"/>
      <menuitem name="Copy" action="Copy"/>
      <menuitem name="Paste" action="Paste"/>
    </popup>

    <popup name="TabPopup">
      <menuitem name="TabReload" action="TabReload"/>
      <menuitem name="TabStop" action="TabStop"/>
      <separator name="tappop-sep1"/>
      <menuitem name="TabClose" action="TabClose"/>
      <menuitem name="TabCloseAllBackward" action="TabCloseAllBackward"/>
      <menuitem name="TabCloseAllForward" action="TabCloseAllForward"/>
      <menuitem name="TabCloseAllInactiveTabs" action="TabCloseAllInactiveTabs"/>
      <menuitem name="TabCloseAllTabs" action="TabCloseAllTabs"/>
      <separator name="tappop-sep2"/>
      <menuitem name="TabCopyTitle" action="TabCopyTitle"/>
      <menuitem name="TabCopyLocation" action="TabCopyLocation"/>
      <menuitem name="TabCopyTitleLocation" action="TabCopyTitleLocation"/>
      <separator name="tappop-sep3"/>
      <menuitem name="TabToggleLock" action="TabToggleLock"/>
    </popup>

    <popup name="BookmarkPopup">
      <menuitem name="AddBookmark" action="AddBookmark" />
      <menuitem name="RemoveBookmark" action="RemoveBookmark" />
      <menuitem name="EditBookmarks" action="EditBookmarks" />
    </popup>
  <!-- /popups -->
</ui>
